OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.ReadCopyPixels

Contents

- Reading Pixels
- Copying Pixels
- Copying Pixels for framebuffers

Description

This module corresponds to section 4.3 (Drawing, Reading, and Copying Pixels) of the OpenGL 2.1 specs.

Synopsis

- readPixels :: Position -> Size -> PixelData a -> IO ()
- readBuffer :: StateVar BufferMode
- data PixelCopyType
  - = CopyColor
  - | CopyDepth
  - | CopyStencil
- copyPixels :: Position -> Size -> PixelCopyType -> IO ()
- data BlitBuffer
  - = ColorBuffer'
  - | StencilBuffer'
  - | DepthBuffer'
- blitFramebuffer :: Position -> Position -> Position -> Position -> [BlitBuffer] -> TextureFilter -> IO ()

# Reading Pixels

readPixels :: Position -> Size -> PixelData a -> IO ()

readBuffer :: StateVar BufferMode

# Copying Pixels

data PixelCopyType

Constructors

CopyColor |
CopyDepth |
CopyStencil |

Instances

Eq PixelCopyType |
Ord PixelCopyType |
Show PixelCopyType |

copyPixels :: Position -> Size -> PixelCopyType -> IO ()

# Copying Pixels for framebuffers

data BlitBuffer

The buffers which can be copied with `blitFramebuffer`.

Constructors

ColorBuffer' |
StencilBuffer' |
DepthBuffer' |

Instances

Eq BlitBuffer |
Ord BlitBuffer |
Show BlitBuffer |

blitFramebuffer :: Position -> Position -> Position -> Position -> [BlitBuffer] -> TextureFilter -> IO ()